Index: branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.ConsoleClient-3.4/HeuristicLab.Clients.Hive.Slave.ConsoleClient-3.4.csproj
===================================================================
--- branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.ConsoleClient-3.4/HeuristicLab.Clients.Hive.Slave.ConsoleClient-3.4.csproj	(revision 5597)
+++ branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.ConsoleClient-3.4/HeuristicLab.Clients.Hive.Slave.ConsoleClient-3.4.csproj	(revision 5599)
@@ -9,5 +9,5 @@
     <OutputType>Exe</OutputType>
     <AppDesignerFolder>Properties</AppDesignerFolder>
-    <RootNamespace>HeuristicLab.Clients.Hive.Slave.ConsoleClient</RootNamespace>
+    <RootNamespace>HeuristicLab.Clients.Hive.SlaveCore.ConsoleClient</RootNamespace>
     <AssemblyName>HeuristicLab.Clients.Hive.Slave.ConsoleClient-3.4</AssemblyName>
     <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
Index: branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.ConsoleClient-3.4/Program.cs
===================================================================
--- branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.ConsoleClient-3.4/Program.cs	(revision 5597)
+++ branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.ConsoleClient-3.4/Program.cs	(revision 5599)
@@ -22,8 +22,8 @@
 using System;
 using System.Threading;
-using HeuristicLab.Clients.Hive.Slave.Tests;
+using HeuristicLab.Clients.Hive.SlaveCore.Tests;
 
 
-namespace HeuristicLab.Clients.Hive.Slave.ConsoleClient {
+namespace HeuristicLab.Clients.Hive.SlaveCore.ConsoleClient {
   public class Program {
     static void Main(string[] args) {
Index: branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.SlaveTrayIcon/HeuristicLab.Clients.Hive.Slave.SlaveTrayIcon.csproj
===================================================================
--- branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.SlaveTrayIcon/HeuristicLab.Clients.Hive.Slave.SlaveTrayIcon.csproj	(revision 5597)
+++ branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.SlaveTrayIcon/HeuristicLab.Clients.Hive.Slave.SlaveTrayIcon.csproj	(revision 5599)
@@ -9,5 +9,5 @@
     <OutputType>WinExe</OutputType>
     <AppDesignerFolder>Properties</AppDesignerFolder>
-    <RootNamespace>HeuristicLab.Clients.Hive.Slave.SlaveTrayIcon</RootNamespace>
+    <RootNamespace>HeuristicLab.Clients.Hive.SlaveCore.SlaveTrayIcon</RootNamespace>
     <AssemblyName>HeuristicLab.Clients.Hive.Slave.SlaveTrayIcon</AssemblyName>
     <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
Index: branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.SlaveTrayIcon/MainWindow.Designer.cs
===================================================================
--- branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.SlaveTrayIcon/MainWindow.Designer.cs	(revision 5597)
+++ branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.SlaveTrayIcon/MainWindow.Designer.cs	(revision 5599)
@@ -1,4 +1,4 @@
 ﻿
-namespace HeuristicLab.Clients.Hive.Slave.SlaveTrayIcon {
+namespace HeuristicLab.Clients.Hive.SlaveCore.SlaveTrayIcon {
   partial class MainWindow {
     /// <summary>
@@ -31,5 +31,5 @@
       this.showToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
       this.closeToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
-      this.slaveView = new HeuristicLab.Clients.Hive.Slave.Views.SlaveView();
+      this.slaveView = new HeuristicLab.Clients.Hive.SlaveCore.Views.SlaveView();
       this.contextMenuNotifyIcon.SuspendLayout();
       this.SuspendLayout();
Index: branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.SlaveTrayIcon/MainWindow.cs
===================================================================
--- branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.SlaveTrayIcon/MainWindow.cs	(revision 5597)
+++ branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.SlaveTrayIcon/MainWindow.cs	(revision 5599)
@@ -1,7 +1,7 @@
 ﻿using System;
 using System.Windows.Forms;
-using HeuristicLab.Clients.Hive.Slave.Views;
+using HeuristicLab.Clients.Hive.SlaveCore.Views;
 
-namespace HeuristicLab.Clients.Hive.Slave.SlaveTrayIcon {
+namespace HeuristicLab.Clients.Hive.SlaveCore.SlaveTrayIcon {
   public partial class MainWindow : Form {
 
Index: branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.SlaveTrayIcon/Program.cs
===================================================================
--- branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.SlaveTrayIcon/Program.cs	(revision 5597)
+++ branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.SlaveTrayIcon/Program.cs	(revision 5599)
@@ -1,7 +1,7 @@
 ﻿using System;
 using System.Windows.Forms;
-using HeuristicLab.Clients.Hive.Slave.Views;
+using HeuristicLab.Clients.Hive.SlaveCore.Views;
 
-namespace HeuristicLab.Clients.Hive.Slave.SlaveTrayIcon {
+namespace HeuristicLab.Clients.Hive.SlaveCore.SlaveTrayIcon {
   static class Program {
     /// <summary>
Index: branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.SlaveTrayIcon/Properties/Resources.Designer.cs
===================================================================
--- branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.SlaveTrayIcon/Properties/Resources.Designer.cs	(revision 5597)
+++ branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.SlaveTrayIcon/Properties/Resources.Designer.cs	(revision 5599)
@@ -9,5 +9,5 @@
 //------------------------------------------------------------------------------
 
-namespace HeuristicLab.Clients.Hive.Slave.SlaveTrayIcon.Properties {
+namespace HeuristicLab.Clients.Hive.SlaveCore.SlaveTrayIcon.Properties {
     using System;
     
@@ -40,5 +40,5 @@
             get {
                 if (object.ReferenceEquals(resourceMan, null)) {
-                    global::System.Resources.ResourceManager temp = new global::System.Resources.ResourceManager("HeuristicLab.Clients.Hive.Slave.SlaveTrayIcon.Properties.Resources", typeof(Resources).Assembly);
+                    global::System.Resources.ResourceManager temp = new global::System.Resources.ResourceManager("HeuristicLab.Clients.Hive.SlaveCore.SlaveTrayIcon.Properties.Resources", typeof(Resources).Assembly);
                     resourceMan = temp;
                 }
Index: branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.SlaveTrayIcon/Properties/Settings.Designer.cs
===================================================================
--- branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.SlaveTrayIcon/Properties/Settings.Designer.cs	(revision 5597)
+++ branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.SlaveTrayIcon/Properties/Settings.Designer.cs	(revision 5599)
@@ -9,5 +9,5 @@
 //------------------------------------------------------------------------------
 
-namespace HeuristicLab.Clients.Hive.Slave.SlaveTrayIcon.Properties {
+namespace HeuristicLab.Clients.Hive.SlaveCore.SlaveTrayIcon.Properties {
     
     
Index: branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.SlaveWindowsService/HeuristicLab.Clients.Hive.Slave.SlaveWindowsService.csproj
===================================================================
--- branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.SlaveWindowsService/HeuristicLab.Clients.Hive.Slave.SlaveWindowsService.csproj	(revision 5597)
+++ branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.SlaveWindowsService/HeuristicLab.Clients.Hive.Slave.SlaveWindowsService.csproj	(revision 5599)
@@ -9,5 +9,5 @@
     <OutputType>WinExe</OutputType>
     <AppDesignerFolder>Properties</AppDesignerFolder>
-    <RootNamespace>HeuristicLab.Clients.Hive.Slave.SlaveWindowsService</RootNamespace>
+    <RootNamespace>HeuristicLab.Clients.Hive.SlaveCore.SlaveWindowsService</RootNamespace>
     <AssemblyName>HeuristicLab.Clients.Hive.Slave.SlaveWindowsService</AssemblyName>
     <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
@@ -50,5 +50,5 @@
   </PropertyGroup>
   <PropertyGroup>
-    <StartupObject>HeuristicLab.Clients.Hive.Slave.SlaveWindowsService.Program</StartupObject>
+    <StartupObject>HeuristicLab.Clients.Hive.SlaveCore.SlaveWindowsService.Program</StartupObject>
   </PropertyGroup>
   <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Debug|AnyCPU'">
Index: branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.SlaveWindowsService/Program.cs
===================================================================
--- branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.SlaveWindowsService/Program.cs	(revision 5597)
+++ branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.SlaveWindowsService/Program.cs	(revision 5599)
@@ -22,5 +22,5 @@
 using System.ServiceProcess;
 
-namespace HeuristicLab.Clients.Hive.Slave.SlaveWindowsService {
+namespace HeuristicLab.Clients.Hive.SlaveCore.SlaveWindowsService {
   static class Program {
     /// <summary>
Index: branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.SlaveWindowsService/ProjectInstaller.Designer.cs
===================================================================
--- branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.SlaveWindowsService/ProjectInstaller.Designer.cs	(revision 5597)
+++ branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.SlaveWindowsService/ProjectInstaller.Designer.cs	(revision 5599)
@@ -1,3 +1,3 @@
-﻿namespace HeuristicLab.Clients.Hive.Slave.SlaveWindowsService {
+﻿namespace HeuristicLab.Clients.Hive.SlaveCore.SlaveWindowsService {
   partial class ProjectInstaller {
     /// <summary>
@@ -37,5 +37,5 @@
       // serviceInstaller1
       // 
-      this.serviceInstaller1.ServiceName = "HeuristicLab.Clients.Hive.Slave.SlaveWindowsService";
+      this.serviceInstaller1.ServiceName = "HeuristicLab.Clients.Hive.SlaveCore.SlaveWindowsService";
       this.serviceInstaller1.StartType = System.ServiceProcess.ServiceStartMode.Automatic;
       // 
Index: branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.SlaveWindowsService/ProjectInstaller.cs
===================================================================
--- branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.SlaveWindowsService/ProjectInstaller.cs	(revision 5597)
+++ branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.SlaveWindowsService/ProjectInstaller.cs	(revision 5599)
@@ -7,5 +7,5 @@
 
 
-namespace HeuristicLab.Clients.Hive.Slave.SlaveWindowsService {
+namespace HeuristicLab.Clients.Hive.SlaveCore.SlaveWindowsService {
   [RunInstaller(true)]
   public partial class ProjectInstaller : System.Configuration.Install.Installer {
Index: branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.SlaveWindowsService/Properties/AssemblyInfo.cs
===================================================================
--- branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.SlaveWindowsService/Properties/AssemblyInfo.cs	(revision 5597)
+++ branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.SlaveWindowsService/Properties/AssemblyInfo.cs	(revision 5599)
@@ -1,4 +1,3 @@
 ﻿using System.Reflection;
-using System.Runtime.CompilerServices;
 using System.Runtime.InteropServices;
 
@@ -6,9 +5,9 @@
 // set of attributes. Change these attribute values to modify the information
 // associated with an assembly.
-[assembly: AssemblyTitle("HeuristicLab.Clients.Hive.Slave.SlaveWindowsService")]
+[assembly: AssemblyTitle("HeuristicLab.Clients.Hive.SlaveCore.SlaveWindowsService")]
 [assembly: AssemblyDescription("")]
 [assembly: AssemblyConfiguration("")]
 [assembly: AssemblyCompany("")]
-[assembly: AssemblyProduct("HeuristicLab.Clients.Hive.Slave.SlaveWindowsService")]
+[assembly: AssemblyProduct("HeuristicLab.Clients.Hive.SlaveCore.SlaveWindowsService")]
 [assembly: AssemblyCopyright("Copyright ©  2011")]
 [assembly: AssemblyTrademark("")]
Index: branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.SlaveWindowsService/SlaveWindowsService.Designer.cs
===================================================================
--- branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.SlaveWindowsService/SlaveWindowsService.Designer.cs	(revision 5597)
+++ branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.SlaveWindowsService/SlaveWindowsService.Designer.cs	(revision 5599)
@@ -1,3 +1,3 @@
-﻿namespace HeuristicLab.Clients.Hive.Slave.SlaveWindowsService {
+﻿namespace HeuristicLab.Clients.Hive.SlaveCore.SlaveWindowsService {
   partial class SlaveWindowsService {
     /// <summary> 
@@ -29,5 +29,5 @@
       // SlaveWindowsService
       // 
-      this.ServiceName = "HeuristicLab.Clients.Hive.Slave.SlaveWindowsService";
+      this.ServiceName = "HeuristicLab.Clients.Hive.SlaveCore.SlaveWindowsService";
       ((System.ComponentModel.ISupportInitialize)(this.eventLog)).EndInit();
 
Index: branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.SlaveWindowsService/SlaveWindowsService.cs
===================================================================
--- branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.SlaveWindowsService/SlaveWindowsService.cs	(revision 5597)
+++ branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.SlaveWindowsService/SlaveWindowsService.cs	(revision 5599)
@@ -21,7 +21,7 @@
 using System.ServiceProcess;
 using System.Threading;
-using HeuristicLab.Clients.Hive.Slave;
+using HeuristicLab.Clients.Hive.SlaveCore;
 
-namespace HeuristicLab.Clients.Hive.Slave.SlaveWindowsService {
+namespace HeuristicLab.Clients.Hive.SlaveCore.SlaveWindowsService {
   public partial class SlaveWindowsService : ServiceBase {
     private Core core;
Index: branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.SlaveWindowsServiceSetup/HeuristicLab.Clients.Hive.Slave.SlaveWindowsServiceSetup.vdproj
===================================================================
--- branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.SlaveWindowsServiceSetup/HeuristicLab.Clients.Hive.Slave.SlaveWindowsServiceSetup.vdproj	(revision 5597)
+++ branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.SlaveWindowsServiceSetup/HeuristicLab.Clients.Hive.Slave.SlaveWindowsServiceSetup.vdproj	(revision 5599)
@@ -604,5 +604,5 @@
         "IsDebugOnly" = "11:TRUE"
         "IsReleaseOnly" = "11:FALSE"
-        "OutputFilename" = "8:Debug\\HeuristicLab.Clients.Hive.Slave.SlaveWindowsServiceSetup.msi"
+        "OutputFilename" = "8:Debug\\HeuristicLab.Clients.Hive.SlaveCore.SlaveWindowsServiceSetup.msi"
         "PackageFilesAs" = "3:2"
         "PackageFileSize" = "3:-2147483648"
@@ -620,5 +620,5 @@
         "IsDebugOnly" = "11:FALSE"
         "IsReleaseOnly" = "11:TRUE"
-        "OutputFilename" = "8:Release\\HeuristicLab.Clients.Hive.Slave.SlaveWindowsServiceSetup.msi"
+        "OutputFilename" = "8:Release\\HeuristicLab.Clients.Hive.SlaveCore.SlaveWindowsServiceSetup.msi"
         "PackageFilesAs" = "3:2"
         "PackageFileSize" = "3:-2147483648"
@@ -638,5 +638,5 @@
             "{4AA51A2D-7D85-4A59-BA75-B0809FC8B380}:_96A6A0924F6E4EB3A650D99CE94D954B"
             {
-            "Name" = "8:Primary output from HeuristicLab.Clients.Hive.Slave.SlaveWindowsService (Active)"
+            "Name" = "8:Primary output from HeuristicLab.Clients.Hive.SlaveCore.SlaveWindowsService (Active)"
             "Condition" = "8:"
             "Object" = "8:_3C881D08A42747949E7F0009E1EB3D51"
@@ -652,5 +652,5 @@
             "{4AA51A2D-7D85-4A59-BA75-B0809FC8B380}:_BA4B4CE24A6A4AF5B9E15838A4E3A2DA"
             {
-            "Name" = "8:Primary output from HeuristicLab.Clients.Hive.Slave.SlaveWindowsService (Active)"
+            "Name" = "8:Primary output from HeuristicLab.Clients.Hive.SlaveCore.SlaveWindowsService (Active)"
             "Condition" = "8:"
             "Object" = "8:_3C881D08A42747949E7F0009E1EB3D51"
@@ -666,5 +666,5 @@
             "{4AA51A2D-7D85-4A59-BA75-B0809FC8B380}:_C2F6EA990E7941F59D7AD9AA5FCAB55A"
             {
-            "Name" = "8:Primary output from HeuristicLab.Clients.Hive.Slave.SlaveWindowsService (Active)"
+            "Name" = "8:Primary output from HeuristicLab.Clients.Hive.SlaveCore.SlaveWindowsService (Active)"
             "Condition" = "8:"
             "Object" = "8:_3C881D08A42747949E7F0009E1EB3D51"
@@ -680,5 +680,5 @@
             "{4AA51A2D-7D85-4A59-BA75-B0809FC8B380}:_E2BB909F6F6A4711B13203453A733532"
             {
-            "Name" = "8:Primary output from HeuristicLab.Clients.Hive.Slave.SlaveWindowsService (Active)"
+            "Name" = "8:Primary output from HeuristicLab.Clients.Hive.SlaveCore.SlaveWindowsService (Active)"
             "Condition" = "8:"
             "Object" = "8:_3C881D08A42747949E7F0009E1EB3D51"
@@ -1820,5 +1820,5 @@
             "{5259A561-127C-4D43-A0A1-72F10C7B3BF8}:_3C881D08A42747949E7F0009E1EB3D51"
             {
-            "SourcePath" = "8:..\\HeuristicLab.Clients.Hive.Slave.SlaveWindowsService\\obj\\Debug\\HeuristicLab.Clients.Hive.Slave.SlaveWindowsService.exe"
+            "SourcePath" = "8:..\\HeuristicLab.Clients.Hive.Slave.SlaveWindowsService\\obj\\Debug\\HeuristicLab.Clients.Hive.SlaveCore.SlaveWindowsService.exe"
             "TargetName" = "8:"
             "Tag" = "8:"
Index: branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Tests/HeuristicLab.Clients.Hive.Slave.Tests-3.4.csproj
===================================================================
--- branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Tests/HeuristicLab.Clients.Hive.Slave.Tests-3.4.csproj	(revision 5597)
+++ branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Tests/HeuristicLab.Clients.Hive.Slave.Tests-3.4.csproj	(revision 5599)
@@ -10,5 +10,5 @@
     <OutputType>Library</OutputType>
     <AppDesignerFolder>Properties</AppDesignerFolder>
-    <RootNamespace>HeuristicLab.Clients.Hive.Slave.Tests</RootNamespace>
+    <RootNamespace>HeuristicLab.Clients.Hive.SlaveCore.Tests</RootNamespace>
     <AssemblyName>HeuristicLab.Clients.Hive.Slave.Tests-3.4</AssemblyName>
     <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
@@ -330,4 +330,5 @@
     </Reference>
     <Reference Include="System.Drawing" />
+    <Reference Include="System.Runtime.Serialization" />
     <Reference Include="System.ServiceModel" />
     <Reference Include="WeifenLuo.WinFormsUI.Docking-2.3.1">
@@ -362,8 +363,4 @@
       <Name>HeuristicLab.Hive-3.4</Name>
     </ProjectReference>
-    <ProjectReference Include="..\HeuristicLab.Services.Hive.Common\3.4\HeuristicLab.Services.Hive.Common-3.4.csproj">
-      <Project>{14424A16-48D4-445E-80BF-DDF617548BBB}</Project>
-      <Name>HeuristicLab.Services.Hive.Common-3.4</Name>
-    </ProjectReference>
     <ProjectReference Include="..\HeuristicLab.Services.Hive\3.4\HeuristicLab.Services.Hive-3.4.csproj">
       <Project>{CF9DA321-AC1B-4FD3-9EC3-67BC6B861BDE}</Project>
Index: branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Tests/Mocks/MockHiveService.cs
===================================================================
--- branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Tests/Mocks/MockHiveService.cs	(revision 5597)
+++ branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Tests/Mocks/MockHiveService.cs	(revision 5599)
@@ -26,17 +26,14 @@
 using HeuristicLab.PluginInfrastructure;
 using HeuristicLab.PluginInfrastructure.Manager;
-using HeuristicLab.Services.Hive.Common;
-using HeuristicLab.Services.Hive.Common.DataTransfer;
-using HeuristicLab.Services.Hive.Common.ServiceContracts;
-
-namespace HeuristicLab.Clients.Hive.Slave.Tests {
+
+namespace HeuristicLab.Clients.Hive.SlaveCore.Tests {
   internal class MockHiveService : IHiveService {
     private static List<Job> jobs;
     private static List<JobData> jobDatas;
-    private static List<HeuristicLab.Services.Hive.Common.DataTransfer.HiveExperiment> hiveExperiments;
+    private static List<HiveExperiment> hiveExperiments;
     private static List<Plugin> plugins = null;
     public List<Job> ResultJobs { get; set; }
     public List<JobData> ResultJobDatas { get; set; }
-    private static IEnumerable<PluginDescription> pDescs = null;
+    private static List<PluginDescription> pDescs = null;
     private static int cnt = 0;
 
@@ -82,6 +79,6 @@
       }
 
-      hiveExperiments = new List<HeuristicLab.Services.Hive.Common.DataTransfer.HiveExperiment>();
-      hiveExperiments.Add(new HeuristicLab.Services.Hive.Common.DataTransfer.HiveExperiment() { Id = Guid.NewGuid(), Name = "Hive Exp 1", Description = "", RootJobId = jobs[0].Id });
+      hiveExperiments = new List<HiveExperiment>();
+      hiveExperiments.Add(new HiveExperiment() { Id = Guid.NewGuid(), Name = "Hive Exp 1", Description = "", RootJobId = jobs[0].Id });
 
       ResultJobDatas = new List<JobData>();
@@ -92,5 +89,5 @@
       PluginManager pm = new PluginManager(Path.Combine(AppDomain.CurrentDomain.BaseDirectory, "PluginCacheServer"));
       pm.DiscoverAndCheckPlugins();
-      pDescs = pm.Plugins;
+      pDescs = pm.Plugins.ToList();
       plugins = new List<Plugin>();
       foreach (PluginDescription d in pDescs) {
@@ -106,5 +103,5 @@
 
     #region Job Methods
-    public Guid AddJob(Job job, JobData jobData, IEnumerable<Guid> slaveGroupIds) {
+    public Guid AddJob(Job job, JobData jobData, List<Guid> slaveGroupIds) {
       job.Id = Guid.NewGuid();
       jobData.JobId = job.Id;
@@ -136,14 +133,14 @@
     }
 
-    public IEnumerable<Job> GetJobs() {
+    public List<Job> GetJobs() {
       return jobs;
     }
 
-    public IEnumerable<LightweightJob> GetLightweightJobs(IEnumerable<Guid> jobIds) {
-      return jobs.Select(j => new LightweightJob(j)); // not real
-    }
-
-    public IEnumerable<LightweightJob> GetLightweightChildJobs(Guid? parentJobId, bool recursive, bool includeParent) {
-      return jobs.Where(j => j.ParentJobId.HasValue).Select(j => new LightweightJob(j));
+    public List<LightweightJob> GetLightweightJobs(List<Guid> jobIds) {
+      return jobs.Select(j => new LightweightJob(j)).ToList(); // not real
+    }
+
+    public List<LightweightJob> GetLightweightChildJobs(Guid? parentJobId, bool recursive, bool includeParent) {
+      return jobs.Where(j => j.ParentJobId.HasValue).Select(j => new LightweightJob(j)).ToList();
     }
 
@@ -196,13 +193,13 @@
 
     #region HiveExperiment Methods
-    public HeuristicLab.Services.Hive.Common.DataTransfer.HiveExperiment GetHiveExperiment(Guid id) {
+    public HiveExperiment GetHiveExperiment(Guid id) {
       return hiveExperiments.Where(he => he.Id == id).SingleOrDefault();
     }
 
-    public IEnumerable<HeuristicLab.Services.Hive.Common.DataTransfer.HiveExperiment> GetHiveExperiments() {
+    public List<HiveExperiment> GetHiveExperiments() {
       return hiveExperiments;
     }
 
-    public Guid AddHiveExperiment(HeuristicLab.Services.Hive.Common.DataTransfer.HiveExperiment hiveExperimentDto) {
+    public Guid AddHiveExperiment(HiveExperiment hiveExperimentDto) {
       hiveExperimentDto.Id = Guid.NewGuid();
       hiveExperiments.Add(hiveExperimentDto);
@@ -210,5 +207,5 @@
     }
 
-    public void UpdateHiveExperiment(HeuristicLab.Services.Hive.Common.DataTransfer.HiveExperiment hiveExperimentDto) {
+    public void UpdateHiveExperiment(HiveExperiment hiveExperimentDto) {
       // do nothing
     }
@@ -220,5 +217,5 @@
 
     #region Login Methods
-    public void Hello(HeuristicLab.Services.Hive.Common.DataTransfer.Slave slaveInfo) {
+    public void Hello(Slave slaveInfo) {
       // do nothing
     }
@@ -257,5 +254,5 @@
     }
 
-    public IEnumerable<Plugin> GetPlugins() {
+    public List<Plugin> GetPlugins() {
       if (plugins == null)
         plugins = ReadPluginsFromServerCache();
@@ -263,5 +260,5 @@
     }
 
-    public IEnumerable<PluginData> GetPluginDatas(List<Guid> pluginIds) {
+    public List<PluginData> GetPluginDatas(List<Guid> pluginIds) {
       List<PluginData> pluginDatas = new List<PluginData>();
 
@@ -286,5 +283,5 @@
 
     #region Slave Methods
-    public Guid AddSlave(Services.Hive.Common.DataTransfer.Slave slave) {
+    public Guid AddSlave(Slave slave) {
       throw new NotImplementedException();
     }
@@ -294,5 +291,5 @@
     }
 
-    public Services.Hive.Common.DataTransfer.Slave GetSlave(Guid slaveId) {
+    public Slave GetSlave(Guid slaveId) {
       throw new NotImplementedException();
     }
@@ -302,13 +299,13 @@
     }
 
-    public IEnumerable<Services.Hive.Common.DataTransfer.Slave> GetSlaves() {
-      throw new NotImplementedException();
-    }
-
-    public IEnumerable<SlaveGroup> GetSlaveGroups() {
-      throw new NotImplementedException();
-    }
-
-    public void UpdateSlave(Services.Hive.Common.DataTransfer.Slave slave) {
+    public List<Slave> GetSlaves() {
+      throw new NotImplementedException();
+    }
+
+    public List<SlaveGroup> GetSlaveGroups() {
+      throw new NotImplementedException();
+    }
+
+    public void UpdateSlave(Slave slave) {
       throw new NotImplementedException();
     }
Index: branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Tests/Mocks/MockJob.cs
===================================================================
--- branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Tests/Mocks/MockJob.cs	(revision 5597)
+++ branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Tests/Mocks/MockJob.cs	(revision 5599)
@@ -29,5 +29,5 @@
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
-namespace HeuristicLab.Clients.Hive.Slave.Tests {
+namespace HeuristicLab.Clients.Hive.SlaveCore.Tests {
   [Item("Mock Job", "Represents mocked Job which just SpinWaits.")]
   [StorableClass]
Index: branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Tests/Mocks/MockServiceLocator.cs
===================================================================
--- branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Tests/Mocks/MockServiceLocator.cs	(revision 5597)
+++ branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Tests/Mocks/MockServiceLocator.cs	(revision 5599)
@@ -21,7 +21,6 @@
 
 using System;
-using HeuristicLab.Services.Hive.Common.ServiceContracts;
 
-namespace HeuristicLab.Clients.Hive.Slave.Tests {
+namespace HeuristicLab.Clients.Hive.SlaveCore.Tests {
   public class MockServiceLocator : IServiceLocator {
     private MockHiveService service;
@@ -38,5 +37,5 @@
       set { password = value; }
     }
-    
+
     public IHiveService GetService() {
       if (service == null)
Index: branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Tests/PluginLoader.cs
===================================================================
--- branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Tests/PluginLoader.cs	(revision 5597)
+++ branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Tests/PluginLoader.cs	(revision 5599)
@@ -27,5 +27,5 @@
 using HeuristicLab.PluginInfrastructure;
 
-namespace HeuristicLab.Clients.Hive.Slave.Tests {
+namespace HeuristicLab.Clients.Hive.SlaveCore.Tests {
   internal static class PluginLoader {
     public const string AssemblyExtension = ".dll";
Index: branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Tests/SlaveCommListener.cs
===================================================================
--- branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Tests/SlaveCommListener.cs	(revision 5597)
+++ branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Tests/SlaveCommListener.cs	(revision 5599)
@@ -22,7 +22,7 @@
 using System;
 using System.ServiceModel;
-using HeuristicLab.Clients.Hive.Slave.ServiceContracts;
+using HeuristicLab.Clients.Hive.SlaveCore.ServiceContracts;
 
-namespace HeuristicLab.Clients.Hive.Slave.Tests {
+namespace HeuristicLab.Clients.Hive.SlaveCore.Tests {
 
   /// <summary>
@@ -50,5 +50,5 @@
     }
 
-    public void OnStatusChanged(Slave.StatusCommons status) {
+    public void OnStatusChanged(SlaveCore.StatusCommons status) {
       System.Console.WriteLine("SlaveCommListener: " + status);
     }
Index: branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Tests/SlaveTest.cs
===================================================================
--- branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Tests/SlaveTest.cs	(revision 5597)
+++ branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Tests/SlaveTest.cs	(revision 5599)
@@ -23,9 +23,7 @@
 using System.Collections.Generic;
 using System.Linq;
-using HeuristicLab.Services.Hive.Common;
-using HeuristicLab.Services.Hive.Common.DataTransfer;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Clients.Hive.Slave.Tests {
+namespace HeuristicLab.Clients.Hive.SlaveCore.Tests {
   [TestClass]
   public class SlaveTest {
@@ -85,5 +83,5 @@
         ((MockHiveService)service).updateJobs(jobList, job);
 
-        HeuristicLab.Clients.Hive.Slave.Core core = new Slave.Core();
+        HeuristicLab.Clients.Hive.SlaveCore.Core core = new SlaveCore.Core();
         core.Start();
 
@@ -124,5 +122,5 @@
 
 
-        HeuristicLab.Clients.Hive.Slave.Core core = new Slave.Core();
+        HeuristicLab.Clients.Hive.SlaveCore.Core core = new SlaveCore.Core();
         core.Start();
       });
@@ -188,5 +186,5 @@
 
 
-        HeuristicLab.Clients.Hive.Slave.Core core = new Slave.Core();
+        HeuristicLab.Clients.Hive.SlaveCore.Core core = new SlaveCore.Core();
         core.Start();
         Assert.AreEqual<int>(2, ms.ResultJobs.Count);
Index: branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.4/HeuristicLab.Clients.Hive.Slave.Views-3.4.csproj
===================================================================
--- branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.4/HeuristicLab.Clients.Hive.Slave.Views-3.4.csproj	(revision 5597)
+++ branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.4/HeuristicLab.Clients.Hive.Slave.Views-3.4.csproj	(revision 5599)
@@ -9,5 +9,5 @@
     <OutputType>Library</OutputType>
     <AppDesignerFolder>Properties</AppDesignerFolder>
-    <RootNamespace>HeuristicLab.Clients.Hive.Slave.Views</RootNamespace>
+    <RootNamespace>HeuristicLab.Clients.Hive.SlaveCore.Views</RootNamespace>
     <AssemblyName>HeuristicLab.Clients.Hive.Slave.Views-3.4</AssemblyName>
     <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
Index: branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.4/HeuristicLabClientsHiveSlaveViewsPlugin.cs.frame
===================================================================
--- branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.4/HeuristicLabClientsHiveSlaveViewsPlugin.cs.frame	(revision 5597)
+++ branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.4/HeuristicLabClientsHiveSlaveViewsPlugin.cs.frame	(revision 5599)
@@ -32,5 +32,5 @@
   [PluginDependency("HeuristicLab.Core", "3.3")]
   [PluginDependency("HeuristicLab.Persistence", "3.3")]
-  [PluginDependency("HeuristicLab.Clients.Hive.Slave", "3.4")]
+  [PluginDependency("HeuristicLab.Clients.Hive.SlaveCore", "3.4")]
   public class HeuristicLabClientsHiveSlaveViewsPlugin : PluginBase {
   }
